The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Dropped Packets Statistics

Prev Next

This URL is used to retrieve the statistics for the packets dropped on a given port of a device.

Resource URL

GET /sensor/{sensorId}/port/{portId/trafficstats/droppedpackets

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensorId

Sensor id

Number

Yes

portId

Port id

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

crcFailures

Packets dropped due to crc failures

String

devicePowerUp

Packets dropped during device power up

String

deviceResourceExhaustion

Packets dropped due to device resource exhaustion

String

fragementReAssemblyTimeoutIPv4

IPv4 packets dropped due to fragment reassembly timeout

String

fragementReAssemblyTimeoutIPv6

IPv6 packets dropped due to fragment reassembly timeout

String

incorrectChecksumsICMPv4

ICMPv4 packets dropped due to incorrect checksum

String

incorrectChecksumsICMPv6

ICMPv6 packets dropped due to incorrect checksum

String

incorrectChecksumsIP

IP packets dropped due to incorrect checksum

String

incorrectChecksumsTCP

TCP packets dropped due to incorrect checksum

String

incorrectChecksumsUDP

UDP packets dropped due to incorrect checksums

String

invalidConnections

Packets dropped due to invalid connections

String

offsetIndexLengthErrors

Packets dropped due to errors in offset index length

String

otherLayer2Errors

Packets dropped due to errors in layer 2

String

outOfOrderReassemblyTimeoutsTCP

TCP packets dropped due to out of order reassembly timeout

String

policyResponseActionsFirewall

Packets dropped due to firewall policy response action

String

policyResponseActionsIPS

Packets dropped due to IPS policy response action

String

policyResponseActionsIPv4Quarantine

Packets dropped due to IPv4 quarantine policy response action

String

policyResponseActionsIPv6Quarantine

Packets dropped due to IPv6 quarantine policy response action

String

protocolErrorsICMPv4

ICMPv4 packets dropped due to protocol errors

String

protocolErrorsICMPv6

ICMPv6 packets dropped due to protocol errors

String

protocolErrorsIPv4

IPv4 packets dropped due to protocol errors

String

protocolErrorsIPv6

IPv6 packets dropped due to protocol errors

String

protocolErrorsTCP

TCP packets dropped due to protocol errors

String

protocolErrorsUDP

UDP packets dropped due to protocol errors

String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1009/port/124/trafficstats/droppedpackets

Response

{
        "crcFailures": 0,
        "devicePowerUp": 0,
        "deviceResourceExhaustion": 0,
        "fragementReAssemblyTimeoutIPv4": 0,
        "fragementReAssemblyTimeoutIPv6": 0,
        "incorrectChecksumsICMPv4": 0,
        "incorrectChecksumsICMPv6": 0,
        "incorrectChecksumsIP": 0,
        "incorrectChecksumsTCP": 0,
        "incorrectChecksumsUDP": 0,
        "invalidConnections": 16538,
        "offsetIndexLengthErrors": 0,
        "otherLayer2Errors": 0,
        "outOfOrderReassemblyTimeoutsTCP": 63233,
        "policyResponseActionsFirewall": 0,
        "policyResponseActionsIPS": 2,
        "policyResponseActionsIPv4Quarantine": 0,
        "policyResponseActionsIPv6Quarantine": 0,
        "protocolErrorsICMPv4": 0,
        "protocolErrorsICMPv6": 0,
        "protocolErrorsIPv4": 0,
        "protocolErrorsIPv6": 0,
        "protocolErrorsTCP": 2257,
        "protocolErrorsUDP": 0
    }

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

Invalid Sensor: When the device id given is not valid

2

404

Invalid port: If the port id given does not belong to device